package com.yeejoin.amos.boot.module.statistics.api.mapper;

import com.yeejoin.amos.boot.module.common.api.dto.DPFilterParamDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 大屏Mapper 接口
 *
 * @author maxy
 * @date 2024-07-09
 */
@Mapper
public interface ZLStatisticsMapper {


    List<Map<String, Object>> getCompanyInfo(@Param("screenDto") DPFilterParamDto screenDto);

    List<Map<String, Object>> testOrg(@Param("screenDto") DPFilterParamDto screenDto);

    List<Map<String, String>> userCount(@Param("screenDto") DPFilterParamDto screenDto);

    List<Map<String, Object>> supervisorCount(@Param("screenDto") DPFilterParamDto screenDto);

    String getOrgCodeByCompanyCode(@Param("cityCode") String cityCode);

    List<Map<String, String>> userCountNew(@Param("screenDto") DPFilterParamDto screenDto, @Param("unitTypeList") List<String> unitTypeList);
}
